{
        "name" : "GoogleDetectLanguage",
        "displayName" : "GoogleDetectLanguage",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.translate.DetectLanguageWorkitemHandler(\"apiKey\")",
        "documentation" : "google-translate-workitem/index.html",
        "module" : "google-translate-workitem",
        "icon" : "GoogleDetectLanguage.png",
            "category" : "Google Translate",
            "description" : "Translate text from/to different languages, or detect text language",
            "keywords" : [
                                "google"
                ,"translate"
                ,"detect"
                ,"language"

            ],
                "isaction" : "true",
                "actiontitle" : "Detect the language of provided text",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google cloud api key"
                                           }

                ],
                "authreferencesite" : "https://cloud.google.com/translate/docs/quickstart",
            "parameters" : [
                                   {
                                       "name" : "ToDetectText",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "DetectedLanguage",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-translate-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleTranslate",
        "displayName" : "GoogleTranslate",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.translate.TranslateWorkitemHandler(\"apiKey\")",
        "documentation" : "google-translate-workitem/index.html",
        "module" : "google-translate-workitem",
        "icon" : "GoogleTranslate.png",
            "category" : "Google Translate",
            "description" : "Translate text from/to different languages, or detect text language",
            "keywords" : [
                                "google"
                ,"translate"
                ,"language"

            ],
                "isaction" : "true",
                "actiontitle" : "Translate text to a different language",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google cloud api key"
                                           }

                ],
                "authreferencesite" : "https://cloud.google.com/translate/docs/quickstart",
            "parameters" : [
                                   {
                                       "name" : "TargetLang",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ToTranslate",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "SourceLang",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Translation",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-translate-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
